Package com.microblink.blinkid.entities.processors.imageReturn

# Class ImageReturnProcessor.Result

java.lang.Object
com.microblink.blinkid.entities.Entity.Result
com.microblink.blinkid.entities.processors.Processor.Result
com.microblink.blinkid.entities.processors.imageReturn.ImageReturnProcessor.Result

All Implemented Interfaces:
  `android.os.Parcelable`

Enclosing class:
  ImageReturnProcessor

public static final class ImageReturnProcessor.Result extends Processor.Result

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.microblink.blinkid.entities.processors.Processor.Result

  `Processor.Result.State`

  ## Nested classes/interfaces inherited from interface android.os.Parcelable

  `android.os.Parcelable.ClassLoaderCreator<T extends Object>, android.os.Parcelable.Creator<T extends Object>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final android.os.Parcelable.Creator<ImageReturnProcessor.Result>`
  `CREATOR`

  ### Fields inherited from class com.microblink.blinkid.entities.Entity.Result

  `mOwner`

  ### Fields inherited from interface android.os.Parcelable

  `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Result(long nativeResult)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ImageReturnProcessor.Result`
  `clone()`
  Create a copy of the result.
  `protected void`
  `deserializeFromByteArray(byte[] arr)`
  `byte[]`
  `getEncodedImage()`
  JPEG-encoded image or null, depending on whether image encoding was enabled.
  `Image`
  `getRawImage()`
  Returns the raw image saved by the processor.
  `protected byte[]`
  `serializeToByteArray()`
  `protected void`
  `terminateNative(long nativeContext)`
  `String`
  `toString()`

  ### Methods inherited from class com.microblink.blinkid.entities.processors.Processor.Result

  `getResultState, isEmpty`

  ### Methods inherited from class com.microblink.blinkid.entities.Entity.Result

  `describeContents, finalize, getNativeContext, readFromParcel, writeToParcel`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CREATOR

    public static final android.os.Parcelable.Creator<ImageReturnProcessor.Result> CREATOR

- ## Constructor Details

  - ### Result

    protected Result(long nativeResult)

- ## Method Details

  - ### getEncodedImage

    @Nullable public byte[] getEncodedImage()
    JPEG-encoded image or null, depending on whether image encoding was enabled.

  - ### getRawImage

    @Nullable public Image getRawImage()
    Returns the raw image saved by the processor. If no image was saved by processor, returns null. NOTE: Internal buffers of the returned image are valid as long as Result object (this) is alive.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### serializeToByteArray

    @Nullable protected byte[] serializeToByteArray()
    Specified by:
      `serializeToByteArray` in class `Entity.Result`

  - ### deserializeFromByteArray

    protected void deserializeFromByteArray(@NonNull byte[] arr)
    Specified by:
      `deserializeFromByteArray` in class `Entity.Result`

  - ### clone

    public ImageReturnProcessor.Result clone()
    Description copied from class: `Entity.Result`
    Create a copy of the result. This is required in order to retain the result even after owning entity has mutated it.
    Specified by:
      `clone` in class `Entity.Result`
    Returns:
      a copy of the result

  - ### terminateNative

    protected void terminateNative(long nativeContext)
    Specified by:
      `terminateNative` in class `Entity.Result`